Package com.google.web.bindery.requestfactory.server

## Class RequestFactoryJarExtractor

- java.lang.Object
- - com.google.web.bindery.requestfactory.server.RequestFactoryJarExtractor

-     @Deprecated
      public class RequestFactoryJarExtractor
      extends java.lang.Object

  Deprecated.
  Will not be deleted from source, but will no longer be included in GWT artifacts, as this is only intended for use as a build tool.
  Used to extract RequestFactory client jars from `gwt-user.jar`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RequestFactoryJarExtractor.ClassLoaderLoader` | Deprecated. An implementation of `RequestFactoryJarExtractor.Loader` that uses a `ClassLoader` to retrieve the class files.
    `static interface` | `RequestFactoryJarExtractor.Emitter` | Deprecated. Describes a way to emit the contents of a classpath, typically into a JAR or filesystem directory.
    `(package private) static class` | `RequestFactoryJarExtractor.ErrorContext` | Deprecated. Improves error messages by providing context for the user.
    `static class` | `RequestFactoryJarExtractor.JarEmitter` | Deprecated. An Emitter implementation that creates a jar file.
    `static interface` | `RequestFactoryJarExtractor.Loader` | Deprecated. Abstracts the mechanism by which class files are loaded.
    `static class` | `RequestFactoryJarExtractor.Mode` | Deprecated. Controls what is emitted by the tool.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestFactoryJarExtractor​(java.util.logging.Logger logger, RequestFactoryJarExtractor.Loader loader, RequestFactoryJarExtractor.Emitter emitter, java.util.List<java.lang.Class<?>> seeds, java.util.Map<java.lang.String,​byte[]> resources, RequestFactoryJarExtractor.Mode mode)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Deprecated.
    `void` | `run()` | Deprecated. Blocks until all work has been finished.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestFactoryJarExtractor

          public RequestFactoryJarExtractor​(java.util.logging.Logger logger,
                                            RequestFactoryJarExtractor.Loader loader,
                                            RequestFactoryJarExtractor.Emitter emitter,
                                            java.util.List<java.lang.Class<?>> seeds,
                                            java.util.Map<java.lang.String,​byte[]> resources,
                                            RequestFactoryJarExtractor.Mode mode)

      Deprecated.

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### run

          public void run()
                   throws java.io.IOException

      Deprecated.
      Blocks until all work has been finished.
      Throws:
        `java.io.IOException`